<?php

// Mortgage Loan Calculator widget
//
// Copyright (c) 2008 MLCALC.COM
// http://www.mlcalc.com/wp-widget.htm
//
// This is an add-on for WordPress
// http://wordpress.org/
//
// **********************************************************************
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// *****************************************************************

/*
Plugin Name: Mortgage Loan Calculator
Plugin URI: http://www.mlcalc.com/wp-widget.htm
Description: Powerful mortgage/loan calculator widget for your blog.
Author: MLCALC.COM
Version: 1.0
Author URI: http://www.mlcalc.com
*/

/* Function: display_mlcalc_widget
	** This function does the actual display of the widget in the sidebar
	**
	** args: $args (environment variables handled automatically by the hook)
	** returns: nothing
*/
function display_mlcalc_widget( $args ) {
	extract( $args );
	$options = get_option( 'widget_mlcalc' );
	$title   = empty( $options['title'] ) ? __('Loan Calculator') : $options['title'];

	echo $before_widget;
	echo $before_title
		 . $title
		 . $after_title;

	display_mlcalc($options);

	echo $after_widget;
}

/* Function: display_mlcalc
	** This function does the actual display of the common part of the widget
	**
	** args: $options - to skip duplicate get_options calls
	** returns: nothing
*/
function display_mlcalc($options = array()) {
	if(empty($options)){
		$options = get_option( 'widget_mlcalc' );
		$topPadding = '';
	} else {
		$topPadding = ' style="padding-top: 10px"';
	}

	$title              = empty( $options['title'] ) ? __('Loan Calculator') : $options['title'];
	$default_calculator = empty( $options['default_calculator'] ) ? 'loan' : $options['default_calculator'];
	$form_size          = empty( $options['form_size'] ) ? 'small' : $options['form_size'];
	$currency_code      = empty( $options['currency_code'] ) ? 'usd' : $options['currency_code'];
	$interest_rate      = empty( $options['interest_rate'] ) ? '6.5' : $options['interest_rate'];
	$purchase_price     = empty( $options['purchase_price'] ) ? '300,000' : $options['purchase_price'];
	$mortgage_term      = empty( $options['mortgage_term'] ) ? '30' : $options['mortgage_term'];
	$down_payment       = empty( $options['down_payment'] ) ? '10' : $options['down_payment'];
	$property_tax       = empty( $options['property_tax'] ) ? '3,000' : $options['property_tax'];
	$property_insurance = empty( $options['property_insurance'] ) ? '1,500' : $options['property_insurance'];
	$pmi                = empty( $options['pmi'] ) ? '0.52' : $options['pmi'];
	$loan_amount        = empty( $options['loan_amount'] ) ? '175,000' : $options['loan_amount'];
	$loan_term          = empty( $options['loan_term'] ) ? '15' : $options['loan_term'];

	if($currency_code == 'eur') $currency_symbol = '&euro;';
	if($currency_code == 'gbp') $currency_symbol = '&pound;';
	if($currency_code == 'usd') $currency_symbol = '$';
	if(empty($currency_symbol)) $currency_symbol = substr($currency_code, 0, 3);

	if($default_calculator == 'loan'){
		$display_mortgage = 'style="display:none"';
		$display_loan     = '';
	} else {
		$display_mortgage = '';
		$display_loan     = 'style="display:none"';
	}

	echo "<!-- MLCALC BEGIN -->";
	echo '<div id="mlcalc_wrapper"'.$topPadding.'>';
	echo '<script type="text/javascript"><!--'."\r\n";
	echo 'mlcalc_currency_symbol = "'.$currency_symbol.'";'."\r\n";
	echo '--></script>'."\r\n";
	echo '<script type="text/javascript" src="http://www.mlcalc.com/wordpress/widget.js"></script>';
	if($form_size == 'small'){
		echo '<link type="text/css" rel="stylesheet" href="http://www.mlcalc.com/themes/mlcalc/widget-form-small.css" />' . "\n";
		?>
		 <!--[if lte IE 6]> <script type="text/javascript" src="http://www.mlcalc.com/themes/mlcalc/jquery.pngFix.js"></script> <![endif]--> <map name="MLCalcFormMortgage"> <area shape="rect" coords="95,8,144,28" title="Switch to loan calculator" onclick="jQuery('#MLCalcForm .panelItem').toggle(); return false;" href="#"> <area shape="default" nohref="nohref"> </map> <map name="MLCalcFormLoan"> <area shape="rect" coords="6,7,94,28" title="Switch to mortgage calculator" onclick="jQuery('#MLCalcForm .panelItem').toggle(); return false;" href="#"> <area shape="default" nohref="nohref"> </map> <div id="MLCalcForm"> <table cellpadding="0" cellspacing="0" width="150"> <tr> <td colspan="3"><img src="http://www.mlcalc.com/themes/mlcalc/images/top-panel-mortgage-small.png" width="150" height="33" usemap="#MLCalcFormMortgage" class="panelItem" <?php echo $display_mortgage; ?>><img src="http://www.mlcalc.com/themes/mlcalc/images/top-panel-loan-small.png" width="150" height="33" usemap="#MLCalcFormLoan" class="panelItem" <?php echo $display_loan; ?>></td> </tr> <tr> <td style="background: url(http://www.mlcalc.com/themes/mlcalc/images/left-bg.png)" width="7"></td> <td id="formPlaceHolder" width="136"> <form action="http://www.mlcalc.com/" method="post" id="MLCalcFormMortgageForm" autocomplete="off" class="panelItem" <?php echo $display_mortgage; ?>> <input type="hidden" name="ml" value="mortgage"> <input type="hidden" name="cl" value="true"> <input type="hidden" name="as" value="none"> <input type="hidden" name="wg" value="widget"> <input type="hidden" name="cr" value="<?php echo $currency_code; ?>"> <table cellpadding="0" cellspacing="0"> <tr><td width="10"></td><td align="center" width="116"> <table cellpadding="0" cellspacing="0" class="formFields"> <tr id="ma"> <td nowrap="nowrap"> <label for="ma">Purchase price:</label><br> <input type="text" name="ma" value="250,000" size="10" class="valid" minval="1" maxval="99999999" errmsg="Purchase price must be in the range from 1 to 99,999,999."> <?php echo $currency_symbol; ?> </td> </tr> <tr id="dp"> <td nowrap="nowrap"> <label for="dp">Down payment:</label><br> <input type="text" name="dp" value="10" size="3" class="valid" minval="1" maxval="99" errmsg="Down payment must be in the range from 1 to 99."> % <span id="downPaymentValue"></span> </td> </tr> <tr id="mt"> <td nowrap="nowrap"> <label for="mt">Mortgage term:</label><br> <input type="text" name="mt" value="30" size="3" class="valid" minval="1" maxval="100" errmsg="Mortgage term must be in the range from 1 to 100."> years </td> </tr> <tr id="ir"> <td nowrap="nowrap"> <label for="ir">Interest rate:</label><br> <input type="text" name="ir" value="6.5" size="3" class="valid" minval="0.01" maxval="99.99" errmsg="Interest rate must be in the range from 0.01 to 99.99."> % </td> </tr> <tr id="pt"> <td nowrap="nowrap"> <label for="pt">Property tax:</label><br> <input type="text" name="pt" value="3,000" size="6" class="valid" minval="0" maxval="999999" errmsg="Property tax must be in the range from 0 to 999999."> <?php echo $currency_symbol; ?> per year </td> </tr> <tr id="pi"> <td nowrap="nowrap"> <label for="pi">Property insurance:</label><br> <input type="text" name="pi" value="1,500" size="6" class="valid" minval="0" maxval="999999" errmsg="Property insurance must be in the range from 0 to 999999."> <?php echo $currency_symbol; ?> per year </td> </tr> <tr id="mi"> <td nowrap="nowrap"> <label for="mi">PMI:</label><br> <input type="text" name="mi" value="0.52" size="3" class="valid" minval="0" maxval="99.99" errmsg="PMI must be in the range from 0 to 99.99."> % </td> </tr> <tr> <td nowrap="nowrap"> <label>First payment date:</label><br> <select name="sm"> <option label="Jan" value="1">Jan</option> <option label="Feb" value="2">Feb</option> <option label="Mar" value="3">Mar</option> <option label="Apr" value="4">Apr</option> <option label="May" value="5" selected="selected">May</option> <option label="Jun" value="6">Jun</option> <option label="Jul" value="7">Jul</option> <option label="Aug" value="8">Aug</option> <option label="Sep" value="9">Sep</option> <option label="Oct" value="10">Oct</option> <option label="Nov" value="11">Nov</option> <option label="Dec" value="12">Dec</option> </select> <select name="sy"> <option label="1993" value="1993">1993</option> <option label="1994" value="1994">1994</option> <option label="1995" value="1995">1995</option> <option label="1996" value="1996">1996</option> <option label="1997" value="1997">1997</option> <option label="1998" value="1998">1998</option> <option label="1999" value="1999">1999</option> <option label="2000" value="2000">2000</option> <option label="2001" value="2001">2001</option> <option label="2002" value="2002">2002</option> <option label="2003" value="2003">2003</option> <option label="2004" value="2004">2004</option> <option label="2005" value="2005">2005</option> <option label="2006" value="2006">2006</option> <option label="2007" value="2007">2007</option> <option label="2008" value="2008" selected="selected">2008</option> <option label="2009" value="2009">2009</option> <option label="2010" value="2010">2010</option> <option label="2011" value="2011">2011</option> <option label="2012" value="2012">2012</option> <option label="2013" value="2013">2013</option> <option label="2014" value="2014">2014</option> <option label="2015" value="2015">2015</option> <option label="2016" value="2016">2016</option> <option label="2017" value="2017">2017</option> <option label="2018" value="2018">2018</option> <option label="2019" value="2019">2019</option> <option label="2020" value="2020">2020</option> <option label="2021" value="2021">2021</option> <option label="2022" value="2022">2022</option> <option label="2023" value="2023">2023</option> </select> </td> </tr> <tr> <td height="5"></td> </tr> <tr> <td colspan="2" class="centered"><input type="submit" value="Calculate" class="sbmButton"></td> </tr> </table> </td><td width="10"></td></tr> <tr><td height="5"></td></tr> </table> </form> <form action="http://www.mlcalc.com/" method="post" id="MLCalcFormLoanForm" autocomplete="off" class="panelItem" <?php echo $display_loan; ?>> <input type="hidden" name="ml" value="loan"> <input type="hidden" name="cl" value="true"> <input type="hidden" name="as" value="none"> <input type="hidden" name="wg" value="widget"> <input type="hidden" name="cr" value="<?php echo $currency_code; ?>"> <table cellpadding="0" cellspacing="0"> <tr><td width="10"></td><td align="center" width="116"> <table cellpadding="0" cellspacing="0" width="100%" class="formFields"> <tr id="la"> <td nowrap="nowrap"> <label for="la">Loan amount:</label><br> <input type="text" name="la" value="150,000" size="10" class="valid" minval="1" maxval="99999999" errmsg="Loan amount must be in the range from 1 to 99,999,999."> <?php echo $currency_symbol; ?> </td> </tr> <tr id="lt"> <td nowrap="nowrap"> <label for="lt">Loan term:</label><br> <input type="text" name="lt" value="15" size="3" class="valid" minval="1" maxval="100" errmsg="Loan term must be in the range from 1 to 100."> years </td> </tr> <tr id="ir"> <td nowrap="nowrap"> <label for="ir">Interest rate:</label><br> <input type="text" name="ir" value="6.5" size="3" class="valid" minval="0.01" maxval="99.99" errmsg="Interest rate must be in the range from 0.01 to 99.99."> % </td> </tr> <tr> <td nowrap="nowrap"> <label>First payment date:</label><br> <select name="sm"> <option label="Jan" value="1">Jan</option> <option label="Feb" value="2">Feb</option> <option label="Mar" value="3">Mar</option> <option label="Apr" value="4">Apr</option> <option label="May" value="5" selected="selected">May</option> <option label="Jun" value="6">Jun</option> <option label="Jul" value="7">Jul</option> <option label="Aug" value="8">Aug</option> <option label="Sep" value="9">Sep</option> <option label="Oct" value="10">Oct</option> <option label="Nov" value="11">Nov</option> <option label="Dec" value="12">Dec</option> </select> <select name="sy"> <option label="1993" value="1993">1993</option> <option label="1994" value="1994">1994</option> <option label="1995" value="1995">1995</option> <option label="1996" value="1996">1996</option> <option label="1997" value="1997">1997</option> <option label="1998" value="1998">1998</option> <option label="1999" value="1999">1999</option> <option label="2000" value="2000">2000</option> <option label="2001" value="2001">2001</option> <option label="2002" value="2002">2002</option> <option label="2003" value="2003">2003</option> <option label="2004" value="2004">2004</option> <option label="2005" value="2005">2005</option> <option label="2006" value="2006">2006</option> <option label="2007" value="2007">2007</option> <option label="2008" value="2008" selected="selected">2008</option> <option label="2009" value="2009">2009</option> <option label="2010" value="2010">2010</option> <option label="2011" value="2011">2011</option> <option label="2012" value="2012">2012</option> <option label="2013" value="2013">2013</option> <option label="2014" value="2014">2014</option> <option label="2015" value="2015">2015</option> <option label="2016" value="2016">2016</option> <option label="2017" value="2017">2017</option> <option label="2018" value="2018">2018</option> <option label="2019" value="2019">2019</option> <option label="2020" value="2020">2020</option> <option label="2021" value="2021">2021</option> <option label="2022" value="2022">2022</option> <option label="2023" value="2023">2023</option> </select> </td> </tr> <tr> <td height="5"></td> </tr> <tr> <td colspan="2" class="centered"><input type="submit" value="Calculate" class="sbmButton"></td> </tr> </table> </td><td width="10"></td></tr> <tr><td height="5"></td></tr> </table> </form> <div id="mlcalcCopyright"><a href="http://www.mlcalc.com/" target="_blank"><img src="http://www.mlcalc.com/themes/mlcalc/images/copyright.gif" width="55" height="9" alt="Mortgage Loan Calculator" title="Powered by Mortgage Loan Calculator"></a></div> </td> <td style="background: url(http://www.mlcalc.com/themes/mlcalc/images/right-bg.png)" width="7"></td> </tr> <tr> <td colspan="3"><img src="http://www.mlcalc.com/themes/mlcalc/images/bottom-small.png" width="150" height="13"></td> </tr> </table> </div> 
		<?php

	} else {
		echo '<link type="text/css" rel="stylesheet" href="http://www.mlcalc.com/themes/mlcalc/widget-form.css" />' . "\n";
		?>
		 <!--[if lte IE 6]> <script type="text/javascript" src="http://www.mlcalc.com/themes/mlcalc/jquery.pngFix.js"></script> <![endif]--> <div id="MLCalcForm"> <map name="MLCalcFormMortgage"> <area shape="rect" coords="150,10,293,36" title="Switch to loan calculator" onclick="jQuery('#MLCalcForm .panelItem').toggle(); return false;" href="#"> <area shape="default" nohref="nohref"> </map> <map name="MLCalcFormLoan"> <area shape="rect" coords="6,10,149,36" title="Switch to mortgage calculator" onclick="jQuery('#MLCalcForm .panelItem').toggle(); return false;" href="#"> <area shape="default" nohref="nohref"> </map> <table cellpadding="0" cellspacing="0" width="300"> <tr> <td colspan="3"><img src="http://www.mlcalc.com/themes/mlcalc/images/top-panel-mortgage.png" width="300" height="44" usemap="#MLCalcFormMortgage" class="panelItem" <?php echo $display_mortgage; ?>><img src="http://www.mlcalc.com/themes/mlcalc/images/top-panel-loan.png" width="300" height="44" usemap="#MLCalcFormLoan" class="panelItem" <?php echo $display_loan; ?>></td> </tr> <tr> <td style="background: url(http://www.mlcalc.com/themes/mlcalc/images/left-bg.png)" width="7"></td> <td id="formPlaceHolder" width="286"> <form action="http://www.mlcalc.com/" method="post" id="MLCalcFormMortgageForm" autocomplete="off" class="panelItem" <?php echo $display_mortgage; ?>> <input type="hidden" name="ml" value="mortgage"> <input type="hidden" name="cl" value="true"> <input type="hidden" name="as" value="none"> <input type="hidden" name="wg" value="widget"> <input type="hidden" name="cr" value="<?php echo $currency_code; ?>"> <table cellpadding="0" cellspacing="0" width="100%"> <tr><td height="10"></td></tr> <tr><td width="15"></td><td align="center"> <table cellpadding="0" cellspacing="0" width="100%" class="formFields"> <tr id="ma"> <td align="right"><label for="ma">Purchase price:</label></td> <td nowrap="nowrap" align="left"><input type="text" name="ma" value="250,000" size="10" class="valid" minval="1" maxval="99999999" errmsg="Purchase price must be in the range from 1 to 99,999,999."> <?php echo $currency_symbol; ?></td> </tr> <tr id="dp"> <td align="right"><label for="dp">Down payment:</label></td> <td nowrap="nowrap" align="left"><input type="text" name="dp" value="10" size="3" class="valid" minval="1" maxval="99" errmsg="Down payment must be in the range from 1 to 99."> % <span id="downPaymentValue"></span></td> </tr> <tr id="mt"> <td align="right"><label for="mt">Mortgage term:</label></td> <td nowrap="nowrap" align="left"><input type="text" name="mt" value="30" size="3" class="valid" minval="1" maxval="100" errmsg="Mortgage term must be in the range from 1 to 100."> years</td> </tr> <tr id="ir"> <td align="right"><label for="ir">Interest rate:</label></td> <td nowrap="nowrap" align="left"><input type="text" name="ir" value="6.5" size="3" class="valid" minval="0.01" maxval="99.99" errmsg="Interest rate must be in the range from 0.01 to 99.99."> %</td> </tr> <tr id="pt"> <td align="right"><label for="pt">Property tax:</label></td> <td nowrap="nowrap" align="left"><input type="text" name="pt" value="3,000" size="6" class="valid" minval="0" maxval="999999" errmsg="Property tax must be in the range from 0 to 999999."> <?php echo $currency_symbol; ?> per year</td> </tr> <tr id="pi"> <td align="right"><label for="pi">Property insurance:</label></td> <td nowrap="nowrap" align="left"><input type="text" name="pi" value="1,500" size="6" class="valid" minval="0" maxval="999999" errmsg="Property insurance must be in the range from 0 to 999999."> <?php echo $currency_symbol; ?> per year</td> </tr> <tr id="mi"> <td align="right"><label for="mi">PMI:</label></td> <td nowrap="nowrap" align="left"><input type="text" name="mi" value="0.52" size="3" class="valid" minval="0" maxval="99.99" errmsg="PMI must be in the range from 0 to 99.99."> %</td> </tr> <tr> <td align="right"><label>First payment date:</label></td> <td nowrap="nowrap" align="left"><select name="sm"> <option label="Jan" value="1">Jan</option> <option label="Feb" value="2">Feb</option> <option label="Mar" value="3">Mar</option> <option label="Apr" value="4">Apr</option> <option label="May" value="5" selected="selected">May</option> <option label="Jun" value="6">Jun</option> <option label="Jul" value="7">Jul</option> <option label="Aug" value="8">Aug</option> <option label="Sep" value="9">Sep</option> <option label="Oct" value="10">Oct</option> <option label="Nov" value="11">Nov</option> <option label="Dec" value="12">Dec</option> </select> <select name="sy"> <option label="1993" value="1993">1993</option> <option label="1994" value="1994">1994</option> <option label="1995" value="1995">1995</option> <option label="1996" value="1996">1996</option> <option label="1997" value="1997">1997</option> <option label="1998" value="1998">1998</option> <option label="1999" value="1999">1999</option> <option label="2000" value="2000">2000</option> <option label="2001" value="2001">2001</option> <option label="2002" value="2002">2002</option> <option label="2003" value="2003">2003</option> <option label="2004" value="2004">2004</option> <option label="2005" value="2005">2005</option> <option label="2006" value="2006">2006</option> <option label="2007" value="2007">2007</option> <option label="2008" value="2008" selected="selected">2008</option> <option label="2009" value="2009">2009</option> <option label="2010" value="2010">2010</option> <option label="2011" value="2011">2011</option> <option label="2012" value="2012">2012</option> <option label="2013" value="2013">2013</option> <option label="2014" value="2014">2014</option> <option label="2015" value="2015">2015</option> <option label="2016" value="2016">2016</option> <option label="2017" value="2017">2017</option> <option label="2018" value="2018">2018</option> <option label="2019" value="2019">2019</option> <option label="2020" value="2020">2020</option> <option label="2021" value="2021">2021</option> <option label="2022" value="2022">2022</option> <option label="2023" value="2023">2023</option> </select> </td> </tr> <tr> <td height="10"></td> </tr> <tr> <td colspan="2" align="center"><input type="submit" value="Calculate" class="sbmButton"></td> </tr> </table> </td><td width="15"></td></tr> <tr><td height="10"></td></tr> </table> </form> <form action="http://www.mlcalc.com/" method="post" id="MLCalcFormLoanForm" autocomplete="off" class="panelItem" <?php echo $display_loan; ?>> <input type="hidden" name="ml" value="loan"> <input type="hidden" name="cl" value="true"> <input type="hidden" name="as" value="none"> <input type="hidden" name="wg" value="widget"> <input type="hidden" name="cr" value="<?php echo $currency_code; ?>"> <table cellpadding="0" cellspacing="0" width="100%"> <tr><td height="10"></td></tr> <tr><td width="15"></td><td align="center"> <table cellpadding="0" cellspacing="0" class="formFields"> <tr id="la"> <td align="right"><label for="la">Loan amount:</label></td> <td nowrap="nowrap" align="left"><input type="text" name="la" value="150,000" size="10" class="valid" minval="1" maxval="99999999" errmsg="Loan amount must be in the range from 1 to 99,999,999."> <?php echo $currency_symbol; ?></td> </tr> <tr id="lt"> <td align="right"><label for="lt">Loan term:</label></td> <td nowrap="nowrap" align="left"><input type="text" name="lt" value="15" size="3" class="valid" minval="1" maxval="100" errmsg="Loan term must be in the range from 1 to 100."> years</td> </tr> <tr id="ir"> <td align="right"><label for="ir">Interest rate:</label></td> <td nowrap="nowrap" align="left"><input type="text" name="ir" value="6.5" size="3" class="valid" minval="0.01" maxval="99.99" errmsg="Interest rate must be in the range from 0.01 to 99.99."> %</td> </tr> <tr> <td align="right"><label>First payment date:</label></td> <td nowrap="nowrap" align="left"><select name="sm"> <option label="Jan" value="1">Jan</option> <option label="Feb" value="2">Feb</option> <option label="Mar" value="3">Mar</option> <option label="Apr" value="4">Apr</option> <option label="May" value="5" selected="selected">May</option> <option label="Jun" value="6">Jun</option> <option label="Jul" value="7">Jul</option> <option label="Aug" value="8">Aug</option> <option label="Sep" value="9">Sep</option> <option label="Oct" value="10">Oct</option> <option label="Nov" value="11">Nov</option> <option label="Dec" value="12">Dec</option> </select> <select name="sy"> <option label="1993" value="1993">1993</option> <option label="1994" value="1994">1994</option> <option label="1995" value="1995">1995</option> <option label="1996" value="1996">1996</option> <option label="1997" value="1997">1997</option> <option label="1998" value="1998">1998</option> <option label="1999" value="1999">1999</option> <option label="2000" value="2000">2000</option> <option label="2001" value="2001">2001</option> <option label="2002" value="2002">2002</option> <option label="2003" value="2003">2003</option> <option label="2004" value="2004">2004</option> <option label="2005" value="2005">2005</option> <option label="2006" value="2006">2006</option> <option label="2007" value="2007">2007</option> <option label="2008" value="2008" selected="selected">2008</option> <option label="2009" value="2009">2009</option> <option label="2010" value="2010">2010</option> <option label="2011" value="2011">2011</option> <option label="2012" value="2012">2012</option> <option label="2013" value="2013">2013</option> <option label="2014" value="2014">2014</option> <option label="2015" value="2015">2015</option> <option label="2016" value="2016">2016</option> <option label="2017" value="2017">2017</option> <option label="2018" value="2018">2018</option> <option label="2019" value="2019">2019</option> <option label="2020" value="2020">2020</option> <option label="2021" value="2021">2021</option> <option label="2022" value="2022">2022</option> <option label="2023" value="2023">2023</option> </select> </td> </tr> <tr> <td height="10"></td> </tr> <tr> <td colspan="2" align="center"><input type="submit" value="Calculate" class="sbmButton"></td> </tr> </table> </td><td width="15"></td></tr> <tr><td height="10"></td></tr> </table> </form> <div id="mlcalcCopyright"><a href="http://www.mlcalc.com/" target="_blank"><img src="http://www.mlcalc.com/themes/mlcalc/images/copyright.gif" width="55" height="9" alt="Mortgage Loan Calculator" title="Powered by Mortgage Loan Calculator"></a></div> </td> <td style="background: url(http://www.mlcalc.com/themes/mlcalc/images/right-bg.png)" width="7"></td> </tr> <tr> <td colspan="3"><img src="http://www.mlcalc.com/themes/mlcalc/images/bottom.png" width="300" height="13"></td> </tr> </table> </div> 
		<?php
	}

	echo '</div>';
	echo "<!-- MLCALC END -->\r\n";
}

/* Function: mlcalc_control
**
** This function draws the controls form on the widget page and
** saves the settings when the "Save" button is clicked
**
** args: nothing
** returns: nothing
*/

function mlcalc_control() {
	$options = $newoptions = get_option('widget_mlcalc');

	if ( $_POST['mlcalc-submit'] ) {
		$newoptions['title']              = strip_tags(stripslashes($_POST['mlcalc-title']));
		$newoptions['default_calculator'] = strip_tags(stripslashes($_POST['mlcalc-default_calculator']));
		$newoptions['form_size']          = strip_tags(stripslashes($_POST['mlcalc-form_size']));
		$newoptions['currency_code']      = strip_tags(stripslashes($_POST['mlcalc-currency_code']));
		$newoptions['interest_rate']      = strip_tags(stripslashes($_POST['mlcalc-interest_rate']));
		$newoptions['purchase_price']     = strip_tags(stripslashes($_POST['mlcalc-purchase_price']));
		$newoptions['mortgage_term']      = strip_tags(stripslashes($_POST['mlcalc-mortgage_term']));
		$newoptions['down_payment']       = strip_tags(stripslashes($_POST['mlcalc-down_payment']));
		$newoptions['property_tax']       = strip_tags(stripslashes($_POST['mlcalc-property_tax']));
		$newoptions['property_insurance'] = strip_tags(stripslashes($_POST['mlcalc-property_insurance']));
		$newoptions['pmi']                = strip_tags(stripslashes($_POST['mlcalc-pmi']));
		$newoptions['loan_amount']        = strip_tags(stripslashes($_POST['mlcalc-loan_amount']));
		$newoptions['loan_term']          = strip_tags(stripslashes($_POST['mlcalc-loan_term']));
	}
	if ( $options != $newoptions ) {
		$options = $newoptions;
		update_option('widget_mlcalc', $options);
	}

	$title = attribute_escape($options['title']);
	$default_calculator = attribute_escape($options['default_calculator']);
	$form_size = attribute_escape($options['form_size']);
	$currency_code = attribute_escape($options['currency_code']);
	$interest_rate = attribute_escape($options['interest_rate']);
	$purchase_price = attribute_escape($options['purchase_price']);
	$mortgage_term = attribute_escape($options['mortgage_term']);
	$down_payment = attribute_escape($options['down_payment']);
	$property_tax = attribute_escape($options['property_tax']);
	$property_insurance = attribute_escape($options['property_insurance']);
	$pmi = attribute_escape($options['pmi']);
	$loan_amount = attribute_escape($options['loan_amount']);
	$loan_term = attribute_escape($options['loan_term']);
?>
		<p><label for="mlcalc-title"><?php _e('Title:'); ?> <input class="widefat" id="mlcalc-title" name="mlcalc-title" type="text" value="<?php echo $title; ?>" /></label></p>
		<p>
			<label for="mlcalc-default_calculator"><?php _e( 'Default calculator:' ); ?>
				<select name="mlcalc-default_calculator" id="mlcalc-default_calculator" class="widefat">
					<option value="loan"<?php selected( $options['default_calculator'], 'loan' ); ?>><?php _e('Loan'); ?></option>
					<option value="mortgage"<?php selected( $options['default_calculator'], 'mortgage' ); ?>><?php _e('Mortgage'); ?></option>
				</select>
			</label>
		</p>
		<p>
			<label for="mlcalc-form_size"><?php _e( 'Form size:' ); ?>
				<select name="mlcalc-form_size" id="mlcalc-form_size" class="widefat">
					<option value="small"<?php selected( $options['form_size'], 'small' ); ?>><?php _e('Small (width = 150px)'); ?></option>
					<option value="big"<?php selected( $options['form_size'], 'big' ); ?>><?php _e('Large (width = 300px)'); ?></option>
				</select>
			</label>
		</p>
		<p>
			<label for="mlcalc-currency_code"><?php _e( 'Currency symbol:' ); ?>
				<select name="mlcalc-currency_code" id="mlcalc-currency_code" class="widefat">
					<option value="usd"<?php selected( $options['currency_code'], 'usd' ); ?>><?php _e('USD ($)'); ?></option>
					<option value="eur"<?php selected( $options['currency_code'], 'eur' ); ?>><?php _e('EUR (&euro;)'); ?></option>
					<option value="gbp"<?php selected( $options['currency_code'], 'gbp' ); ?>><?php _e('GBP (&pound;)'); ?></option>
					<option value="R"<?php selected( $options['currency_code'], 'R' ); ?>><?php _e('R'); ?></option>
					<option value="Rp"<?php selected( $options['currency_code'], 'Rp' ); ?>><?php _e('Rp'); ?></option>
				</select>
			</label>
		</p>
		<p><a href="#" onclick="document.getElementById('mlcalc_default_values').style.display = 'inline'; this.style.display = 'none'; return false;">Change default values...</a></p>
		<span style="display:none" id="mlcalc_default_values">
		<p><label for="mlcalc-purchase_price"><?php _e( 'Purchase price:' ); ?> <input style="width: 65px; text-align: center;" type="text" value="<?php echo $purchase_price; ?>" name="mlcalc-purchase_price" id="mlcalc-purchase_price" /> $</label></p>
		<p><label for="mlcalc-down_payment"><?php _e( 'Down payment:' ); ?> <input style="width: 35px; text-align: center;" type="text" value="<?php echo $down_payment; ?>" name="mlcalc-down_payment" id="mlcalc-down_payment" /> %</label></p>
		<p><label for="mlcalc-mortgage_term"><?php _e( 'Mortgage term:' ); ?> <input style="width: 35px; text-align: center;" type="text" value="<?php echo $mortgage_term; ?>" name="mlcalc-mortgage_term" id="mlcalc-mortgage_term" /> years</label></p>
		<p><label for="mlcalc-interest_rate"><?php _e( 'Interest rate:' ); ?> <input style="width: 35px; text-align: center;" type="text" value="<?php echo $interest_rate; ?>" name="mlcalc-interest_rate" id="mlcalc-interest_rate" /> %</label></p>
		<p><label for="mlcalc-property_tax"><?php _e( 'Property tax:' ); ?> <input style="width: 65px; text-align: center;" type="text" value="<?php echo $property_tax; ?>" name="mlcalc-property_tax" id="mlcalc-property_tax" /> $ per year</label></p>
		<p><label for="mlcalc-property_insurance"><?php _e( 'Property insurance:' ); ?> <input style="width: 65px; text-align: center;" type="text" value="<?php echo $property_insurance; ?>" name="mlcalc-property_insurance" id="mlcalc-property_insurance" /> $ per year</label></p>
		<p><label for="mlcalc-pmi"><?php _e( 'PMI:' ); ?> <input style="width: 35px; text-align: center;" type="text" value="<?php echo $pmi; ?>" name="mlcalc-pmi" id="mlcalc-pmi" /> %</label></p>
		<p><label for="mlcalc-loan_amount"><?php _e( 'Loan amount:' ); ?> <input style="width: 65px; text-align: center;" type="text" value="<?php echo $loan_amount; ?>" name="mlcalc-loan_amount" id="mlcalc-loan_amount" /> $</label></p>
		<p><label for="mlcalc-loan_term"><?php _e( 'Loan term:' ); ?> <input style="width: 35px; text-align: center;" type="text" value="<?php echo $loan_term; ?>" name="mlcalc-loan_term" id="mlcalc-loan_term" /> years</label></p>
		</span>

		<input type="hidden" id="mlcalc-submit" name="mlcalc-submit" value="1" />
<?php
}

/* Function: mlcalc_register
**
** Registers the MLCALC widget with the widget page
**
** args: none
** returns: nothing
*/

function mlcalc_register() {
	$widget_ops = array('classname' => 'widget_mlcalc', 'description' => __('Mortgage and loan calculator'));
	$name = __('MLCalc.com');

	wp_register_sidebar_widget( 'mlcalc', $name, 'display_mlcalc_widget', $widget_ops );
	wp_register_widget_control( 'mlcalc', $name, 'mlcalc_control' );
}

// This is important
add_action( 'widgets_init', 'mlcalc_register' )


?>